package net.woodyfolsom.msproj.sgf;

public class SGFIdentifier {
	public static final SGFIdentifier ADD_BLACK = new SGFIdentifier("AB");
	public static final SGFIdentifier ADD_WHITE = new SGFIdentifier("AW");
	public static final SGFIdentifier APPLICATION = new SGFIdentifier("AP");
	public static final SGFIdentifier COUNTRY_BLACK = new SGFIdentifier("BC");
	public static final SGFIdentifier COUNTRY_WHITE = new SGFIdentifier("WC");
	public static final SGFIdentifier CHARSET = new SGFIdentifier("CA");
	public static final SGFIdentifier COMMENT = new SGFIdentifier("C");
	public static final SGFIdentifier DATE = new SGFIdentifier("DT");
	public static final SGFIdentifier EVENT = new SGFIdentifier("EV");
	public static final SGFIdentifier FILE_FORMAT = new SGFIdentifier("FF");
	public static final SGFIdentifier GAME = new SGFIdentifier("GM");
	public static final SGFIdentifier KOMI = new SGFIdentifier("KM");
	public static final SGFIdentifier MOVE_BLACK = new SGFIdentifier("B");
	public static final SGFIdentifier MOVE_WHITE = new SGFIdentifier("W");
	public static final SGFIdentifier PLACE = new SGFIdentifier("PC");
	public static final SGFIdentifier PLAYER_BLACK = new SGFIdentifier("PB");
	public static final SGFIdentifier PLAYER_WHITE = new SGFIdentifier("PW");
	public static final SGFIdentifier RANK_BLACK = new SGFIdentifier("RB");
	public static final SGFIdentifier RANK_WHITE = new SGFIdentifier("RW");
	public static final SGFIdentifier RESULT = new SGFIdentifier("RE");
	public static final SGFIdentifier RULES = new SGFIdentifier("RU");
	public static final SGFIdentifier SIZE = new SGFIdentifier("SZ");
	public static final SGFIdentifier SOURCE = new SGFIdentifier("SO");
	public static final SGFIdentifier TIME = new SGFIdentifier("TM");
	public static final SGFIdentifier VIEW = new SGFIdentifier("VW");

	private String text;

	private SGFIdentifier(String value) {
		this.text = value.toString();
	}

	@Override
	public String toString() {
		return text;
	}
}
